# $Revision: 1.27 $, $Date: 2010/07/30 21:43:38 $
Summary:	A cross-platform chemistry program and library designed to convert file formats
Summary(pl.UTF-8):	Międzyplatformowy program chemiczny i biblioteka do konwersji formatów plików
Name:		openbabel
Version:	2.2.2
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://dl.sourceforge.net/openbabel/%{name}-%{version}.tar.gz
# Source0-md5:	0d9c12c500749df7269f9e7ac742e94a
URL:		http://openbabel.sourceforge.net/
BuildRequires:	libstdc++-devel
BuildRequires:	libxml2-devel >= 2.6.5
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Open Babel is a project designed to pick up where Babel left off, as a
cross-platform program and library designed to interconvert between
many file formats used in molecular modeling and computational
chemistry.

%description -l pl.UTF-8
Open Babel to projekt mający pozbierać to, co zostało po zaniechaniu
projektu Babel, jako międzyplatformowy program i biblioteka służące do
konwersji między wieloma formatami używanymi w modelowaniu cząsteczek
i chemii obliczeniowej.

%package devel
Summary:	Header files for OpenBabel
Summary(pl.UTF-8):	Pliki nagłówkowe dla OpenBabel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	zlib-devel

%description devel
Header files for OpenBabel.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla OpenBabel.

%package static
Summary:	Static OpenBabel library
Summary(pl.UTF-8):	Statyczna biblioteka OpenBabel
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OpenBabel library.

%description static -l pl.UTF-8
Statyczna biblioteka OpenBabel.

%prep
%setup -q

%build
# simulate there is no libinchi installed (if openbabel is already installed),
# so it will be build with openbabel
# inchi is available separately at http://www.iupac.org/inchi/, but requires
# registration to download
%configure \
	ac_cv_lib_inchi_GetINCHI=no \
	--enable-shared \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/openbabel/*/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS doc/*.html
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libopenbabel.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopenbabel.so.?
%dir %{_libdir}/openbabel
%dir %{_libdir}/openbabel/2.2.2
%attr(755,root,root) %{_libdir}/openbabel/2.2.2/*.so
%{_datadir}/openbabel
%{_mandir}/man1/*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopenbabel.so
%{_libdir}/libopenbabel.la
%{_includedir}/inchi102
%{_includedir}/openbabel-2.0
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libopenbabel.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openbabel.spec,v $
Revision 1.27  2010/07/30 21:43:38  shadzik
- 2.2.2

Revision 1.26  2008/08/21 18:05:05  megabajt
- build static library too
- release 2

Revision 1.25  2008/08/10 10:32:39  rotom
- up to 2.2.0

Revision 1.24  2008/06/15 19:54:22  rotom
- ghost soname symlink

Revision 1.23  2008/06/15 19:48:12  rotom
- up to 2.1.1

Revision 1.22  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.20  2006/08/27 17:01:29  qboosh
- updated to 2.0.2, force libinchi build

Revision 1.19  2006/07/23 12:59:20  qboosh
- updated to 2.0.1
- added missing symlink and one more missing dir

Revision 1.18  2005/12/09 12:20:04  qboosh
- missing dir, kill static plugins

Revision 1.17  2005/12/09 12:16:16  undefine
- up to 2.0.0 by wopozka@gazeta.pl

Revision 1.16  2005/12/08 17:59:38  qboosh
- gpm-friendly Source0 URL, -devel R: libstdc++-devel

Revision 1.15  2004/09/02 14:36:07  snurf
- typos / formatting / etc.

Revision 1.14  2004/04/09 23:06:16  qboosh
- fixed Groups (it doesn't use X11)

Revision 1.13  2004/03/07 21:22:10  grzegol
- updated to 1.100.2
- strict internal deps

Revision 1.12  2004/02/12 15:10:37  grzegol
- added math/{matrix3x3,vector3}.h files
- rel. 2

Revision 1.11  2003/06/27 12:10:31  qboosh
- added shared library, *.la and *.pc

Revision 1.10  2003/06/25 07:35:59  adamg
- updated to 1.100.1

Revision 1.9  2003/05/31 23:35:25  adamg
- up to 1.100.0
- removed obsoleted DESTDIR patch

Revision 1.8  2003/05/28 13:00:04  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:51:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/03/10 11:44:56  qboosh
- working Source0 URL, cosmetics

Revision 1.5  2003/02/28 10:08:04  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.4  2003/01/18 22:54:55  juandon
- removed two lines with define

Revision 1.3  2002/09/16 01:33:59  qboosh
- pl description, added missing dirs, BR: automake, release 3

Revision 1.2  2002/09/09 00:16:24  blues
- release 2 - added includes for openbabel in subpackage, STBR

Revision 1.1  2002/09/07 04:19:56  blues
- initial release
